import { useRef, useLayoutEffect, useCallback } from 'react';
/**
 * refer: https://github.com/reactjs/rfcs/blob/useevent/text/0000-useevent.md
 * @param {*} handler 
 * @returns 
 */

export default function useEvent(handler) {
  const handlerRef = useRef(handler);
  handlerRef.current = handler;
  return useCallback(function () {
    const fn = handlerRef.current;
    return fn(...arguments);
  }, []);
}